> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-detect-table-modification.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update service backup configuration

> Updates service backup configuration. Requires ADMIN auth key role. Setting the properties with null value, will reset the properties to theirs default values.

Updates service backup configuration. Requires ADMIN auth key role. Setting the properties with null value, will reset the properties to theirs default values.


## OpenAPI

````yaml /_specs/cloud-openapi.json patch /v1/organizations/{organizationId}/services/{serviceId}/backupConfiguration
openapi: 3.1.2
info:
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
  contact:
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-910487
    email: support@clickhouse.com
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Role Management
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
  - name: ClickStack
  - name: Postgres
paths:
  /v1/organizations/{organizationId}/services/{serviceId}/backupConfiguration:
    patch:
      tags:
        - Backup
      summary: Update service backup configuration
      description: >-
        Updates service backup configuration. Requires ADMIN auth key role.
        Setting the properties with null value, will reset the properties to
        theirs default values.
      operationId: backupConfigurationUpdate
      parameters:
        - in: path
          name: organizationId
          description: ID of the organization that owns the service.
          required: true
          schema:
            type: string
            format: uuid
        - in: path
          name: serviceId
          description: ID of the service.
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BackupConfigurationPatchRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    description: HTTP status code.
                    example: 200
                  requestId:
                    type: string
                    description: Unique id assigned to every request. UUIDv4
                    format: uuid
                  result:
                    $ref: '#/components/schemas/BackupConfiguration'
        '400':
          description: >-
            The request cannot be processed due to a client error. Please verify
            your request parameters and try again.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    description: HTTP status code.
                    example: 400
                  error:
                    type: string
                    description: Detailed error description.
                  requestId:
                    type: string
                    description: Unique id assigned to every request. UUIDv4
                    format: uuid
        '500':
          description: >-
            An internal server error has occurred. If this issue persists,
            please contact ClickHouse Cloud support for assistance.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    description: HTTP status code.
                    example: 500
                  error:
                    type: string
                    description: Detailed error description.
                  requestId:
                    type: string
                    description: Unique id assigned to every request. UUIDv4
                    format: uuid
components:
  schemas:
    BackupConfigurationPatchRequest:
      properties:
        backupPeriodInHours:
          description: The interval in hours between each backup.
          type: number
        backupRetentionPeriodInHours:
          description: >-
            The minimum duration in hours for which the backups are available.
            Must be a whole number of days between 24 (1 day) and 1080 (45 days)
            — i.e. a multiple of 24.
          type: number
        backupStartTime:
          description: >-
            The time in HH:MM format for the backups to be performed (evaluated
            in UTC timezone). When defined the backup period resets to every 24
            hours.
          type: string
    BackupConfiguration:
      properties:
        backupPeriodInHours:
          description: The interval in hours between each backup.
          type: number
        backupRetentionPeriodInHours:
          description: >-
            The minimum duration in hours for which the backups are available.
            Must be a whole number of days between 24 (1 day) and 1080 (45 days)
            — i.e. a multiple of 24.
          type: number
        backupStartTime:
          description: >-
            The time in HH:MM format for the backups to be performed (evaluated
            in UTC timezone). When defined the backup period resets to every 24
            hours.
          type: string
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >-
        Use key ID and key secret obtained in ClickHouse Cloud console:
        https://clickhouse.com/docs/cloud/manage/openapi

````